Skip to main content
GET
/
api
/
v1
/
errors
/
{errorId}
cURL
curl --request GET \
  --url https://api.staging.qyl.dev/api/v1/errors/{errorId}
import requests

url = "https://api.staging.qyl.dev/api/v1/errors/{errorId}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.staging.qyl.dev/api/v1/errors/{errorId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "error_id": "<string>",
  "error.type": "<string>",
  "message": "<string>",
  "fingerprint": "<string>",
  "first_seen": "2023-11-07T05:31:56Z",
  "last_seen": "2023-11-07T05:31:56Z",
  "occurrence_count": 1,
  "affected_users": 1,
  "affected_services": [
    "<string>"
  ],
  "assigned_to": "<string>",
  "issue_url": "<string>",
  "sample_traces": [
    "0af7651916cd43dd8448eb211c80319c"
  ]
}
{
"type": "about:blank",
"title": "Not Found",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"resource_type": "<string>",
"resource_id": "<string>"
}
{
"type": "about:blank",
"title": "Internal Server Error",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"error_code": "<string>"
}

Path Parameters

errorId
string
required

Response

The request has succeeded.

Error entity for tracking and analysis

error_id
string
required

Error ID

error.type
string
required

Error type (class name or code)

message
string
required

Error message

category
enum<string>
required

Error category

Available options:
client,
server,
network,
timeout,
validation,
authentication,
authorization,
rate_limit,
not_found,
conflict,
internal,
external,
database,
configuration,
unknown
fingerprint
string
required

Fingerprint for grouping

first_seen
string<date-time>
required

First occurrence

last_seen
string<date-time>
required

Last occurrence

occurrence_count
integer<int64>
required

Occurrence count

Required range: x >= 0
status
enum<string>
required

Status

Available options:
new,
acknowledged,
in_progress,
resolved,
ignored,
regressed,
wont_fix
affected_users
integer<int64>

Affected users count

Required range: x >= 0
affected_services
string[]

Affected services

assigned_to
string

Assigned to

issue_url
string<uri>

Issue tracker URL

sample_traces
string[]

Sample trace IDs

Unique trace identifier (32 lowercase hex characters)

Required string length: 32
Pattern: ^[a-f0-9]{32}$